Icc-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.ICh0InputStage Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.ICh0InputStage:

## Public Member Functions
EInputSignalStageSystem | GetActiveSystem ()
| Returns active input system of the channel.
void | ChangeActiveSystem (EInputSignalStageSystem selectedInputStageSystem)
| Changes active input system of the channel.

## Properties
ICh0StaticValue | StaticValue`[get]`
ICh0SignalGenerator | SignalGenerator`[get]`
ICh0ArbitraryVector | ArbitraryVector`[get]`
ICh0AnalogInput | AnalogInput`[get]`

## Member Function Documentation

## ◆ ChangeActiveSystem()

void ICC4cPwmSdk.Device.ICh0InputStage.ChangeActiveSystem | ( | EInputSignalStageSystem | selectedInputStageSystem | ) |

Changes active input system of the channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ GetActiveSystem()

EInputSignalStageSystem ICC4cPwmSdk.Device.ICh0InputStage.GetActiveSystem | ( |  | ) |

Returns active input system of the channel.

Returns

## Property Documentation

## ◆ AnalogInput

ICh0AnalogInput ICC4cPwmSdk.Device.ICh0InputStage.AnalogInput
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ ArbitraryVector

ICh0ArbitraryVector ICC4cPwmSdk.Device.ICh0InputStage.ArbitraryVector
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ SignalGenerator

ICh0SignalGenerator ICC4cPwmSdk.Device.ICh0InputStage.SignalGenerator
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ StaticValue

ICh0StaticValue ICC4cPwmSdk.Device.ICh0InputStage.StaticValue
| get

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

The documentation for this interface was generated from the following file:

- Doxygen/ICh0SdkDeviceController.cs